[SCM] live-boot branch, debian, updated. debian/2.0_a4-1-11-g4836a17

Daniel Baumann daniel at debian.org
Sat Jun 5 12:22:51 UTC 2010


The following commit has been merged in the debian branch:
commit 02541757441ae8314a110ff0fb66db468fb800dc
Author: Michal Suchanek <hramrach at centrum.cz>
Date:   Fri Jun 4 09:23:39 2010 +0200

    Fixing http boot:
    - set NETBOOT as the other netboot methods do.
    - do not fall through to NFS if HTTP fails.

diff --git a/scripts/live b/scripts/live
index afe0f4b..fd4a5e4 100755
--- a/scripts/live
+++ b/scripts/live
@@ -682,8 +682,6 @@ copy_live_to ()
 
 do_netmount ()
 {
-	rc=1
-
 	modprobe -q af_packet # For DHCP
 
 	udevadm trigger
@@ -761,10 +759,12 @@ do_netmount ()
 		NFSROOT=${ROOTSERVER}:${ROOTPATH}
 	fi
 
-	if ( [ -n "${FETCH}" ] || [ -n "${HTTPFS}" ] || [ -n "${FTPFS}" ] ) && do_httpmount
+	rc=1
+
+	if ( [ -n "${FETCH}" ] || [ -n "${HTTPFS}" ] || [ -n "${FTPFS}" ] )
 	then
-		rc=0
-		return ${rc}
+		do_httpmount
+		return $?
 	fi
 
 	if [ "${NFSROOT#*:}" = "${NFSROOT}" ] && [ "$NETBOOT" != "cifs" ]
@@ -846,7 +846,10 @@ do_httpmount ()
 
 	if [ ${rc} != 0 ]
 	then
-	    umount "${mountpoint}"
+		umount "${mountpoint}"
+	elif [ "${webfile}"  != "FETCH" ] ; then
+		NETBOOT="${webfile}"
+		export NETBOOT
 	fi
 
 	return ${rc}

-- 
live-boot



More information about the debian-live-changes mailing list